Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
cURL
curl --request GET \ --url https://api.coval.dev/v1/test-sets/{test_set_id} \ --header 'X-API-Key: <api-key>'
{ "test_set": { "name": "test-sets/abc12345", "id": "abc12345", "slug": "customer-support-scenarios", "display_name": "Customer Support Scenarios", "description": "Test cases for customer support agent", "test_set_type": "SCENARIO", "test_set_metadata": { "category": "support", "priority": "high" }, "parameters": { "customer_name": [ "Alice", "Bob" ], "issue_type": [ "billing", "technical" ] }, "test_case_count": 42, "tags": [ "regression", "voice" ], "create_time": "2025-10-14T12:00:00Z", "update_time": "2025-10-15T14:30:00Z" } }
Retrieve a test set by ID.
Organization API key for authentication
Test set ID (8-character ID)
8
Successful response
Test set resource representation.
Show child attributes
Was this page helpful?